#!/usr/bin/perl

print "Workspace Access Times\n\n";


@clients = `p4 clients`;

foreach my $client (@clients) {
	@client_name = split(/ /, $client);
	$access_data = `p4 client -o $client_name[1]`;
	@access_time = ($access_data =~ m/Access:(.+)/ig);
	print "Client Workspace " . $client_name[1] . " last accessed on " . strip_whitespace($access_time[1]) . "\n";
}

sub strip_whitespace {
	my($string) = @_;
	$string =~ s/^\s+//;
	$string =~ s/\s+$//;
	return $string;
}

